# TSSetProblemType

Sets the type of problem to be solved.

### Synopsis

    #include "petscts.h"
    PetscErrorCode PETSCTS_DLLEXPORT TSSetProblemType(TS ts, TSProblemType type)

Not collective

### Input Parameters

| ts | - The TS
| type | - One of TS_LINEAR, TS_NONLINEAR where these types refer to problems of the forms

             U_t = A U
             U_t = A(t) U
             U_t = F(t,U)

### Keywords

TS, problem type

### See Also

TSSetUp(), TSProblemType, TS

Level:beginner
Location: src/ts/interface/ts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ts/examples/tutorials/ex1.c.html
src/ts/examples/tutorials/ex2.c.html
src/ts/examples/tutorials/ex3.c.html
src/ts/examples/tutorials/ex4.c.html
src/ts/examples/tutorials/ex5.c.html
src/ts/examples/tutorials/ex6.c.html
src/ts/examples/tutorials/ex7.c.html
src/ts/examples/tutorials/ex1f.F.html
src/ts/examples/tutorials/ex2f.F.html